﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Bulldozer.Exceptions
{
    [Serializable] internal class BulldozerNotFoundException : ApplicationException
    {
        public BulldozerNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public BulldozerNotFoundException() : base() { }
        public BulldozerNotFoundException(string message) : base(message) { }
        public BulldozerNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected BulldozerNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
