﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bulldozer.Entities
{
    public class EntityBulldozer
    {
        public int Speed { get; private set; }
        public double Weight { get; private set; }
        public Color MainColor{ get; set; }
        public double Step => (double)Speed * 100 / Weight;
        public EntityBulldozer(int speed, double weight, Color mainColor)
        {
            Speed = speed;
            Weight = weight;
            MainColor = mainColor;
        }
    }
}
